% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/normalize_spatial.R
\name{normalize_spatial}
\alias{normalize_spatial}
\title{Normalize spatial coordinates}
\usage{
normalize_spatial(
  data,
  sample_col = "Sample",
  x_col = "pxl_row_in_fullres",
  y_col = "pxl_col_in_fullres",
  min_value = 1,
  max_value = 10000
)
}
\arguments{
\item{data}{A data frame containing spatial coordinates}

\item{sample_col}{Column name specifying sample IDs}

\item{x_col}{Column name for x-coordinates}

\item{y_col}{Column name for y-coordinates}

\item{min_value}{Minimum value for normalization range}

\item{max_value}{Maximum value for normalization range}
}
\value{
A data frame with normalized coordinates
}
\description{
Normalize spatial coordinates
}
\examples{
tissue_posi_normalized<-normalize_spatial(tissue_posi)
}
